/***************************************************************************
 *   Copyright (C) 2007 by Jan Vermeulen                                   *
 *   janverm@gmail.com                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __DEMOAPP_H
#define __DEMOAPP_H
#include <SDL/SDL.h>

/* defines for demo */
#define RES_X 		480
#define RES_Y 		235
#define MAX_DEMOPARTS 	5

struct demopart_t {
	int 		time;
	int 		(*init) (unsigned long val);
	int		(*exit) (unsigned long val);
	SDL_Surface* 	(*play) (unsigned long val);
	char*		info;
};

extern struct demopart_t fx_rotozoom;
extern struct demopart_t fx_water;
extern struct demopart_t fx_lens;
extern struct demopart_t fx_bump;
extern struct demopart_t fx_liquid; /* not finished yet */

#endif
